JGME Pay
Disbursements

Validate A Transfer Recipient

Create and Validate a Transfer Recipient for Disbursements

POST
/billing/v1/transfer-recipients/validate

Authorization

clientId clientSecret
client-id<token>

In: header

client-secret<token>

In: header

Request Body

application/json

Validate a Transfer Recipient

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/billing/v1/transfer-recipients/validate" \  -H "Content-Type: application/json" \  -d '{    "currency": "NGN",    "country": "NG",    "provider": "provider-slug",    "account": {      "phoneNumber": "2347012345678"    }  }'
{  "data": {    "currency": "NGN",    "country": "NG",    "provider": "provider-slug",    "accountLabel": "Bank Transfer | Zenith Bank | Dummy User | 0123456789",    "account": {      "phoneNumber": "2347012345678"    }  }}